PERL = perl
MERGE_SCRIPT = $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/mergeCvsBranch.pl -server -nostop
MERGE		 = $(MERGE_SCRIPT) -merge
MERGE_SUBDIRS = $(MERGE_SCRIPT) -subdir -merge
MERGE_FILES = $(MAKE) -f dailyMerge.mak merge_files
CVS_EPAGES5 = RND/epages/epages5
CVS_ALLOS = $(CVS_EPAGES5)/AllOS
CVS_DE_EPAGES = $(CVS_ALLOS)/Cartridges/DE_EPAGES

default: merge_cartridges merge_other

#to merge single dev branches use following command: "nmake -f dailyMerge.mak EPG-27957"

#broddeck
EPG-30122:
	$(MERGE) EPG-30122 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

#cbordis
EPG-34056:
	$(MERGE) EPG-34056 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-34056 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-34056 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-34056 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/WebInterface

#aurban
EPG-29825:
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Customer
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/CustomForm
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Forum
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MailType
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Newsletter
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRating
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRecommendation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopMailType

#bbaum
EPG-27957:
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-27957 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation

#bbaum
EPG-28340:
	$(MERGE) EPG-28340 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo

#broddeck
EPG-25306:
	$(MERGE) EPG-25306 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles
EPG-34221:
	$(MERGE) EPG-25306 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order

#emller
EPG-25667:
	$(MERGE) EPG-25667 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation

#slange
EPG-29564:
	$(MERGE) EPG-29564 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

#vzerwas
EPG-30741:
	$(MERGE) EPG-30741 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Styles

#lgorse
EPG-30381:
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/CustomForm
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ExternalContent
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MediaGallery
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MultiStore
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MultiStoreMaster
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/SEO
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopWizard
	$(MERGE) EPG-30381 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Makefile.pl
	$(MERGE) EPG-30381 -cvspath RND/epages/epages5/WinNT/Build/Setup/Scripts/ConfigureIIS.vbs
	$(MERGE) EPG-30381 -cvspath RND/epages/epages5/UNIX/Build/WebAdapter/zzz-epages-httpd.conf.ept

#skersten
EPG-30843:
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/RemoteSearch
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRating
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery

#mhoehn
EPG-30895:
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Dojo
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-30895 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product

#mirsch
EPB-168:
	$(MERGE) EPB-168 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Installer

#agrohmann
EPG-28625:
	$(MERGE) EPG-28625 -cvspath $(CVS_ALLOS)/Patch

#agrohmann
EPG-22097:
	$(MERGE) EPG-22097 -cvspath $(CVS_ALLOS)/Patch/src	

#mhoehn
EPB-20:
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Core
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/PaymentTypes
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Customer
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPB-20 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopMailType

#emueller
EPG-31814:
	$(MERGE) EPG-31814 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-31814 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation

#agrohmann
EPG-31960:
	$(MERGE) EPG-31960 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Installer

#aheumann
EPG-32011:
	$(MERGE) EPG-32011 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ExternalContent
	$(MERGE) EPG-32011 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-32011 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Mediagallery
	$(MERGE) EPG-32011 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-32011 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop

#skersten
EPG-33463:
	$(MERGE) EPG-33463 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-33463 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order
	$(MERGE) EPG-33463 -cvspath $(CVS_ALLOS)/WebServiceExamples/WS_DemoClients/perl
	$(MERGE) EPG-33463 -cvspath $(CVS_ALLOS)/WebServiceExamples/WS_DemoClients/java
	$(MERGE) EPG-33463 -cvspath $(CVS_ALLOS)/WebServiceExamples/WS_DemoClients/wsdl

team2:
	$(MERGE_SUBDIRS) team2_6_16

#agrohmann
generated_patch_code:
	$(MERGE) generated_patch_code -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES


standard:
	$(MERGE_SUBDIRS) deployment_6_17_7
	$(MERGE_SUBDIRS) deployment_6_17_8

merge_cartridges: standard generated_patch_code EPG-27957 EPG-25306 EPG-28340 EPG-29564 EPG-29825 EPG-30122 EPG-30741 EPG-30843 EPG-30895 EPB-20 EPG-22097 EPG-31814 EPG-31960 EPG-33463 EPG-34056 EPG-34221

merge_other:
	$(MERGE_FILES) VERSION=deployment_6_17_7
	$(MERGE_FILES) VERSION=deployment_6_17_8

merge_files:
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/UNIX
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/WinNT
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/CPAN
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Training
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/RND_EPAGES
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Build
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Doc
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Epages6BinaryUpgrade
#	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/HelpSources
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Languages
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Patch
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/QA
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/RegressionTest
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Scheduler
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Shared
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Update
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/WebServiceExamples
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Sybase
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/FlashSources

# when you get the error
#	 "cvs checkout: cannot open CVS/Entries for reading: No such file or directory"
# tag removed files:
#	 cvs rtag -F -a -r B_patch_6_0_3 M_patch_6_0_3 RND/epages/epages5/UNIX
